メイン コンテンツにスキップ

このブラウザーはサポートされなくなりました。

Microsoft Edge にアップグレードすると、最新の機能、セキュリティ更新プログラム、およびテクニカル サポートを利用できます。

Microsoft Edge をダウンロードする Internet Explorer と Microsoft Edge の詳細情報
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

クエリ パラメーター

api-version string 必須

The API version to use for this operation.

ヘッダー パラメーター

Foundry-Features enum 必須

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

パス パラメーター

name string 必須

Name of the model.

version string 必須

Version of the model.

要求本文

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum 必須

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

応答

The request has succeeded.

本文

Content-Type: application/json
blobReference BlobReference 必須

Blob reference details.

blobUri string 必須

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string 必須

ARM ID of the storage account to use.

credential SasCredential 必須

SAS Credential definition

sasUri string 必須

SAS uri

type enum 必須

Type of credential

SAS
pendingUploadId string 必須

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum 必須

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

ヘッダー

x-ms-error-code string

String error code indicating what went wrong.

本文

Content-Type: application/json
error Azure.Core.Foundations.Error 必須

The error object.

code string 必須

One of a server-defined set of error codes.

message string 必須

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

ヘッダー

x-ms-error-code string

String error code indicating what went wrong.

本文

Content-Type: application/json
error Azure.Core.Foundations.Error 必須

The error object.

code string 必須

One of a server-defined set of error codes.

message string 必須

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

要求

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

回答

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ja-jp
プライバシーの選択
  • AI 免責事項
  • 以前のバージョン
  • ブログ
  • 投稿
  • プライバシー
  • コンシューマーの健康に関するプライバシー
  • 利用条件
  • 商標
  • © Microsoft 2026